import * as $dara from '@darabonba/typescript';
import { AllocateIpv6AddressResponseBody } from "./AllocateIpv6addressResponseBody";
export declare class AllocateIpv6AddressResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AllocateIpv6AddressResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
